<?php
/**
* 缓存加载处理
* @author moufer<moufer@163.com>
* @package modoer
* @copyright modoer.com
* @version $Id cache.inc.php 1 2008-5-1 12:17 $
*/
!defined('IN_MUDDER') && exit('Access Denied');

// 数据调用缓存存放目录
$_config['datacall_dir'] = (empty($_config['datacall_dir'])?'./data/datacall':$_config['datacall_dir']).DIRECTORY_SEPARATOR;

//require_once(MUDDER_ROOT.'include/cache.class.php');
// 载入每个插件中的缓存处理函数 cache.inc.php，读取各个插件的缓存
if($_plugins) {
    foreach($_plugins as $plugin) {
        $plugin['directory'] .= (substr($plugin['directory'], -1) != '/') ? '/' : '';
        if(!$plugin['directory'] || $plugin['directory'] =='/') continue;
        $filename = MUDDER_PLUGINDIR.$plugin['directory'].'cache.inc.php';
        if(!@file_exists($filename)) continue;
        include $filename;
    }
    unset($dir, $filename, $plugin);
}
//-----
if(!defined("IN_ADMIN")) {
    unset($cache);
}
?>